{% load wagtailcore_tags %}
{% load wagtailimages_tags %}
{% load static %}

{% block extra_css %}
    <link rel="stylesheet" type="text/css" href="{% static 'css/info_section.css' %}" />
{% endblock %}

{% for section in info_section %}
<div id="info-background" class="info-section__grid info-section__bg-image mx-8 my-8 md:mx-8 my-6 rounded-tl-[60px] rounded-bl-[60px] rounded-[60px]">
    <div class="info-section__card-column">
        {% for card in section.info_cards.all %}
        {% image card.image original as img%}
            <div class="info-card" onclick="changeSelectedCard(this, '{{img.url}}', '{{card.card_title}}', '{{card.card_description}}', '{{ card.card_link_botao_saiba_mais }}')">
                <hr class="bg-gray">
                <h1 class="info-card__title text-white text-wrap">{{ card.card_short_title }}</h1>
                <p class="info-card__description text-lightGray">{{ card.card_short_description }}</p>
                <input type="hidden" value="{{ img.url }}">
                <input type="hidden" value="{{ card.card_title }}">
                <input type="hidden" value="{{ card.card_description }}">
                <input type="hidden" value="{{ card.card_link_botao_saiba_mais }}">
            </div>
        {% endfor %}
    </div>
        <div class="info-section__course-column">
            <div class="course-info">
                <h1 id="course-title" class="text-3xl sm:text-4xl md:text-5xl text-white leading-tight md:leading-snug text-wrap"></h1>
                <p id="course-description" class="text-white mt-12 mb-12 text-base sm:text-lg md:text-xl"></p>
                <a id="course-link-saiba-mais" href="{{section.info_cards.first.card_link_botao_saiba_mais}}" target="_blank" type="button" class="course-info__button focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm text-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800 bg-lightYellow hover:bg-darkYellow text-darkGray hover:text-darkGray">Saiba mais</a>
            </div>
        </div>
    </div>
{% endfor %}

<script>
    selectedCard = document.querySelector('.info-card');
    if (selectedCard) {
        selectedCard.classList.add('info-card--selected');
        let imageUrl = selectedCard.getElementsByTagName('input')[0];
        let courseTitle = selectedCard.getElementsByTagName('input')[1];
        let courseDescription = selectedCard.getElementsByTagName('input')[2];
        
        updateBG(imageUrl.value);
        updateTitle(courseTitle.value);
        updateDescription(courseDescription.value);
    }

    function changeSelectedCard(card, url, title, description, courseLink) {
        selectedCard.classList.remove('info-card--selected');
        selectedCard = card;
        selectedCard.classList.add('info-card--selected');
        updateBG(url);
        updateTitle(title);
        updateDescription(description);
        updateLink(courseLink)
    }

    function updateBG(url) {
        let imageContainer = document.getElementById('info-background');
        imageContainer.style.backgroundImage = `url('${url}')`;
    }
    function updateTitle(title) {
        let titleContainer = document.getElementById('course-title');
        titleContainer.textContent = title;

    }
    function updateDescription(description) {
        let descriptionContainer = document.getElementById('course-description');
        descriptionContainer.textContent = description;
    }

    function updateLink(courseLink){
        let courseElement = document.getElementById('course-link-saiba-mais');
        courseElement.href = courseLink;
    }
</script>